package com.framework.app.api

import com.framework.mvvm.model.data.Model
import com.framework.mvvm.model.vo.AdmRequest
import com.framework.mvvm.model.vo.Building
import com.framework.mvvm.model.vo.Dict
import com.framework.mvvm.model.vo.Frame
import retrofit2.http.Body
import retrofit2.http.POST

interface Api {
    /**
     * 获取自字典数据
     */
    @POST("adm/dict")
    suspend fun getDict(@Body request: AdmRequest): Model<Dict>

    /**
     * 获取框架数据
     */
    @POST("adm/frame")
    suspend fun getFrame(@Body request: AdmRequest): Model<Frame>

    /**
     * 获取建筑数据
     */
    @POST("adm/download")
    suspend fun getBuilding(@Body request: AdmRequest): Model<Building>
}

