package com.framework.mvvm.model.db.dao

import androidx.room.*
import com.framework.mvvm.model.db.entity.RelConfigEntity

/**
 * 表 rel_config Dao
 */
@Dao
interface RelConfigDao {
    @Query("select * from rel_config")
    suspend fun getConfigs(): List<RelConfigEntity>

    @Query("select * from rel_config where id = :id")
    suspend fun getConfigById(id: String): RelConfigEntity

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insConfig(vararg config: RelConfigEntity)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insConfigs(configs: List<RelConfigEntity>)

    @Delete
    suspend fun delConfig(config: RelConfigEntity)
}