package com.framework.mvvm.model.db.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import kotlinx.serialization.Serializable

/**
 * 正向建模设备 表
 */
@Entity(tableName = "m2d_equip")
@Serializable
data class M2dEquipEntity(
    @PrimaryKey(autoGenerate = false) val id: String,
    @ColumnInfo(name = "name") val name: String,              //范围定义名称
    @ColumnInfo(name = "major_code") val majorCode: String?,   //专业代码
    @ColumnInfo(name = "system_code") val systemCode: String?, //系统代码
    @ColumnInfo(name = "class_code") val classCode: String?,   //设备类代码
    @ColumnInfo(name = "project_id") val projectId: String?,
)
