package com.framework.mvvm.model.db.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import kotlinx.serialization.Serializable

/**
 * 专业字典表(远程无对应表)
 */
@Entity(tableName = "major")
@Serializable
class MajorEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "label") val label: String,             // 专业标签
    @ColumnInfo(name = "code") val code: String,               // 专业编码
    @ColumnInfo(name = "type") val type: String,               // 专业类型
    @ColumnInfo(name = "order_num") val orderNum: Int,         // 序号
    @ColumnInfo(name = "dict_type_id") val dictTypeId: String, //字典类型id
    @ColumnInfo(name = "valid") val valid: Int,                // 有效标识
)